Name:		draksnapshot
Summary:	Snapshot utility
Group:		Archiving/Backup
Version:	0.20.3
Release:	%mkrel 2
License:	GPL
URL:	   	http://www.mandrivalinux.com
Source0:	%{name}-%{version}.tar.xz
Patch0:		draksnapshot-applet-fix-due-to-new-perl.patch
Patch1:		draksnapshot-0.20.3-do-no-crash-without-hal.patch
Patch2:		pk-support.diff
BuildRequires:	gettext 
BuildRequires:	perl-MDK-Common-devel 
BuildRequires:	intltool
BuildArch: 	noarch
Requires:	rsnapshot
Requires:	drakxtools

%description
This is a backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.

%prep
%setup -q
%patch0 -p0 -b .fix-due-to-new-perl
%patch1 -p1
%patch2 -p1

%build
%make
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' draksnapshot-applet

%install
rm -rf %buildroot
%makeinstall_std PREFIX=%buildroot

# so that we remove cron entry on removal:
mkdir %{buildroot}%_sysconfdir/cron.d
touch %{buildroot}%_sysconfdir/cron.d/rsnapshot

%{find_lang} %{name}

%files -f %name.lang
%ghost %_sysconfdir/cron.d/rsnapshot
%_bindir/*
%_datadir/%{name}
%_datadir/autostart/autostart-draksnapshot.desktop
%_datadir/gnome/autostart/gnome-autostart-draksnapshot.desktop
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_sbindir/*
%_sysconfdir/X11/xinit.d/draksnapshot-applet.xinit
/usr/libexec/draksnapshot-config
/usr/share/polkit-1/actions/org.*.draksnapshot-config.policy
%perl_vendorlib/MDV


%changelog
* Thu Jul 13 2017 bb2 <bb2> - 0.20.3-2pclos2017
- rebuild against updates

* Fri Feb 19 2016 bb <bb> 0.20.3-1pclos2016
- import from france for pclos with mods
